﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace MVC09NewSample.Controllers
{
    public class GanttController : Controller
    {
        //
        // GET: /Gantt/

        public ActionResult Index()
        {
            var DataSource = GanttData.GetData();
            ViewBag.datasource = DataSource;
            return View();
        }

        public class GanttData
        {

            public static List<Data> GetData()
            {
                List<Data> list = new List<Data>();
                list.Add(new Data()
                {
                    Id = 1,
                    Name = "Parent Task 1",
                    StartDate = "02/23/2014",
                    Duration = 5,
                    PercentDone = 40,
                    Children = (new List<Data>()
                    {
                        new Data()
                        {
                            Id = 2,
                            Name = "Child Task 1",
                            StartDate = "02/23/2014",
                            Duration = 5,
                            PercentDone = 40
                        },
                        new Data()
                        {
                            Id = 3,
                            Name = "Child Task 2",
                            StartDate = "02/23/2014",
                            Duration = 5,
                            PercentDone = 40,
                        },
                        new Data()
                        {
                            Id = 4,
                            Name = "Child Task 3",
                            StartDate = "02/23/2014",
                            Duration = 5,
                            PercentDone = 40,
                        }
                    })

                });

                list.Add(new Data()
                {
                    Id = 5,
                    Name = "Parent Task 2",
                    StartDate = "03/14/2014",
                    Duration = 5,
                    PercentDone = 40,

                    Children = (new List<Data>()
                    {
                        new Data()
                        {
                            Id = 6,
                            Name = "Child Task 1",
                            StartDate = "03/02/2014",
                            Duration = 5,
                            PercentDone = 40
                        },
                        new Data()
                        {
                            Id = 7,
                            Name = "Child Task 2",
                            StartDate = "03/02/2014",
                            Duration = 5,
                            PercentDone = 40,
                        },
                        new Data()
                        {
                            Id = 8,
                            Name = "Child Task 3",
                            StartDate = "03/02/2014",
                            Duration = 5,
                            PercentDone = 40,
                        },
                        new Data()
                        {
                            Id = 9,
                            Name = "Child Task 4",
                            StartDate = "03/02/2014",
                            Duration = 5,
                            PercentDone = 40,
                        }
                    })

                });
                list.Add(new Data()
                {
                    Id = 10,
                    Name = "Parent Task 3",
                    StartDate = "03/09/2014",
                    Duration = 5,
                    PercentDone = 40,

                    Children = (new List<Data>()
                    {
                        new Data()
                        {

                            Id = 11,
                            Name = "Child Task 1",
                            StartDate = "03/9/2014",
                            Duration = 5,
                            PercentDone = 40
                        },
                        new Data()
                        {
                            Id = 12,
                            Name = "Child Task 2",
                            StartDate = "03/9/2014",
                            Duration = 5,
                            PercentDone = 40,
                        },
                        new Data()
                        {
                            Id = 13,
                            Name = "Child Task 3",
                            StartDate = "03/9/2014",
                            Duration = 5,
                            PercentDone = 40,
                        },
                          new Data()
                        {
                            Id = 14,
                            Name = "Child Task 4",
                            StartDate = "03/9/2014",
                            Duration = 5,
                            PercentDone = 40,
                        },
                          new Data()
                        {
                            Id = 15,
                            Name = "Child Task 5",
                            StartDate = "03/9/2014",
                            Duration = 5,
                            PercentDone = 40,
                        }
                    })

                });


                return list;
            }
        }

        public class Data
        {
            public string StartDate { get; set; }
            public int Id { get; set; }
            public string Name { get; set; }
            public int Duration { get; set; }
            public int PercentDone { get; set; }
            public List<Data> Children { get; set; }
            public string Predescessor { get; set; }

        }


    }
}
